
all:
	echo "#define `../UTIL/config.guess 1`" | sed s/\\./_/g | sed s/-/_/g > Makefile.h  
	cp Makefile.proto Makefile.proto.c
	$(CC) -E Makefile.proto.c > Makefile.typ
	rm -f Makefile.proto.c Makefile.h
	make -f Makefile.typ

config: $(OBJS)
	$(CC) -o config $(OBJS)  $(LIBS)

clean:
	-rm -f *.o 
	-rm -f config *.log core core.* *~ *.bak header #* 

header:
	desc.pl *.c > header
	cat main.h >> header

.c.o:
	$(CC) -c $(CFLAGS) $<

lines:
	wc -l *.c main.h func.h

